Subject: bug#34662: Remove GNUS-NEWS

From: Glenn Morris <[email-masked]>
Date: Tue, 26 Feb 2019 00:25:17 -0500

Package: emacs
Version: 26.2
Severity: wishlist

AFAICS, the file etc/GNUS-NEWS is no longer used (Gnus news entries
have gone to the main NEWS file for some time).

Furthermore, the GNUS-NEWS file seems fairly meaningless in Emacs since
it has no version number information. Based on the comment at the end of
the file ('For older news, see Gnus info node "New Features"'), it seems
like the right thing to do would be to merge it into that node (although
most of the "installation changes" section seems totally irrelevant) and
delete it. The machinery that generates it (see c0165ea4d6) can be
deleted too.

The last real change to GNUS-NEWS in years seems to have been
f332833e21, which was made to the generated file and not the source
anyway.